Bug 30289 - Only the first error is shown when an app cannot be installed
Only the first error is shown when an app cannot be installed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.1
Other Linux
: P4 normal (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Florian Best
: interim-2
Depends on: 31891
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 18:39 CET by Dirk Wiesenthal
Modified: 2013-11-19 06:44 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Troubleshooting, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-02-05 18:39:28 CET
The code for checking if an application can be installed returns on the first failure. An error message is shown in the App Dialog. However, it is possible that even if this specific problem is resolved, the app continues to be uninstallable. This may be annoying if the admin took considerable effort in resolving the first issue.

For example he bought more RAM just to see that the application conflicts with another app that is mission critical.

All possible errors should be checked and all failures should be shown.
Comment 1 Dirk Wiesenthal univentionstaff 2013-09-05 14:06:05 CEST
Fixed since
  univention-management-console-module-appcenter (3.0.21-1)
Comment 2 Florian Best univentionstaff 2013-09-19 11:01:22 CEST
Fix: OK
Changelog: OK
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:44:18 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".